Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class TagLibraries

    java.lang.Object
      |
      +--org.apache.jasper.compiler.TagLibraries

public class TagLibraries
extends java.lang.Object

A container for all tag libraries that have been imported using the taglib directive.

Author:
  Anil K. Vijendran, Mandar Raje

Constructor Summary
`TagLibraries(java.lang.ClassLoader cl)`

Method Summary
`void` | `addTagLibrary(java.lang.String prefix, javax.servlet.jsp.tagext.TagLibraryInfo tli)`
`TagCache` | `getTagCache(java.lang.String prefix, java.lang.String shortTagName)`
`javax.servlet.jsp.tagext.TagLibraryInfo` | `getTagLibInfo(java.lang.String prefix)`
`java.util.Enumeration` | `getTagLibInfos()`
`boolean` | `isUserDefinedTag(java.lang.String prefix, java.lang.String shortTagName)`
`void` | `putTagCache(java.lang.String prefix, java.lang.String shortTagName, TagCache tc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagLibraries

    public TagLibraries(java.lang.ClassLoader cl)

Method Detail

### addTagLibrary

    public void addTagLibrary(java.lang.String prefix,
                              javax.servlet.jsp.tagext.TagLibraryInfo tli)

### isUserDefinedTag

    public boolean isUserDefinedTag(java.lang.String prefix,
                                    java.lang.String shortTagName)
                             throws JasperException

### getTagLibInfo

    public javax.servlet.jsp.tagext.TagLibraryInfo getTagLibInfo(java.lang.String prefix)

### getTagCache

    public TagCache getTagCache(java.lang.String prefix,
                                java.lang.String shortTagName)

### putTagCache

    public void putTagCache(java.lang.String prefix,
                            java.lang.String shortTagName,
                            TagCache tc)

### getTagLibInfos

    public java.util.Enumeration getTagLibInfos()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.